id: openai-phish

info:
  name: openai phishing Detection
  author: rxerium
  severity: info
  description: |
    A openai phishing website was detected
  reference:
    - https://openai.com
  metadata:
    max-request: 1
  tags: phishing,openai,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Log in to OpenAI to continue to OpenAI Platform.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"openai.com")'
# digest: 4a0a00473045022100a1770a7610f50609be62be0e21f19efdac7f65b2f26f0b92a77f8e5a25deefe002205eee3a2a65fe8f9f09da3ab3e406d1a411427f687b6317fe87d7b74758cf1db1:922c64590222798bb761d5b6d8e72950